Bug 1302677 - (CVE-2016-2039) CVE-2016-2039 phpMyAdmin: Unsafe generation of XSRF/CSRF token (PMASA-2016-2)
CVE-2016-2039 phpMyAdmin: Unsafe generation of XSRF/CSRF token (PMASA-2016-2)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
Unspecified All
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160128,reported=2...
: Security
Depends On: 1302790 1302791 1302792
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 06:34 EST by Robert Scheck
Modified: 2016-11-28 09:44 EST (History)
11 users (show)

See Also:
Fixed In Version: phpMyAdmin 4.5.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-28 09:44:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2016-01-28 06:34:01 EST
Description:
The XSRF/CSRF token is generated with a weak algorithm using functions
that do not return cryptographically secure values.

External References:
https://www.phpmyadmin.net/security/PMASA-2016-2/
Comment 2 Adam Mariš 2016-01-28 11:16:31 EST
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 1302790]
Affects: epel-all [bug 1302791]
Comment 3 Fedora Update System 2016-02-01 01:20:09 EST
phpMyAdmin-4.5.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2016-02-03 15:50:23 EST
phpMyAdmin-4.5.4.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2016-02-14 19:24:46 EST
phpMyAdmin4-4.0.10.14-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-02-16 20:57:13 EST
phpMyAdmin-4.4.15.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2016-02-16 21:27:36 EST
phpMyAdmin-4.0.10.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.